From 2ec49a2326b88189aeeefa6f09371d8f7afc189d Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Tue, 31 Mar 2020 09:41:01 -0400
Subject: [PATCH 22/22] gnu: packages: linphone: Add msamr

* gnu/packages/linphone.scm (msamr): New variable.
---
 gnu/packages/linphone.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index 518b3dca8c..b5bf773c3e 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -646,3 +646,35 @@ and instant messaging.  It is fully SIP-based, for all calling, presence
 and IM features.")
  (home-page "https://linphone.org")
  (license license:gpl2+)))
+
+(define-public msamr
+ (package
+  (name "msamr")
+   (version "1.1.3")
+   (source
+    (origin
+     (method url-fetch)
+     (uri
+      (string-append "https://www.linphone.org/releases/sources/plugins/"
+                     name "/" name "-" version ".tar.gz"))
+     (sha256
+      (base32 "16c9f3z4wnj73k7y8gb0fgpr4axsm7b5zrbjvy8vsgz9gyg3agm5"))))
+ (build-system cmake-build-system)
+ (arguments
+  `(#:tests? #f ; No test target
+    #:configure-flags
+     (list
+      "-DENABLE_SHARED=YES"
+      "-DENABLE_STATIC=YES"
+      "-DENABLE_NARROWBAND=YES"
+      "-DENABLE_WIDEBAND=YES")))
+ (inputs
+  `(("mediastreamer2" ,mediastreamer)
+    ("opencoreamr" ,opencore-amr)
+    ("ortp" ,ortp)
+    ("voamrwbenc" ,vo-amrwbenc)))
+ (synopsis "Media Streamer AMR Codec")
+ (description "MSAMR is a plugin of MediaStreamer, adding support for
+AMR codec.  It is based on the opencore-amr implementation.")
+ (home-page "https://gitlab.linphone.org/BC/public/msamr")
+ (license license:gpl3+)))
-- 
2.26.0

